Not Solved Php version upgrade
#1
Not Solved
Cool Am thinking of upgrading my php version, i currently run my forum with v5.3.2 and wish to upgrade to v5.4 will there be any damage to the forum if i upgrade and please any guidline to do a successful upgrade
Reply
#2
Not Solved
^ it will not damage the forum. however there can be a series of warnings & errors shown on index page.
you may have to hide those warnings & errors display through MyBB admin panel settings (configuration section)

Admin Panel >> Configuration >> Settings >> Server and Optimization Options --> Error Type Medium
--> select Hide Errors & Warnings & save settings
Reply
#3
Not Solved
Thanks for the reply
Reply
#4
Not Solved
Just FYI, PHP 5.4 is no longer actively supported (security releases only for the next 9 months), consider moving to 5.5 or 5.6 instead: https://php.net/supported-versions.php. MyBB works fine with both.
Reply
#5
Not Solved
My host supports latest 5.4, does this mean I should consider changing host?
Reply
#6
Not Solved
(2014-11-26, 10:32 AM)enelly Wrote: My host supports latest 5.4, does this mean I should consider changing host?

You can ask them to update it for you, if they're not able, you should consider moving to another host. Smile
Jovan J.
Reply
#7
Not Solved
Are there tickets for fixing errors / warnings generated by running MyBB 1.8.x on PHP 5.4 / 5.5?
Reply
#8
Not Solved
(2014-11-26, 11:48 PM)laie_techie Wrote: Are there tickets for fixing errors / warnings generated by running MyBB 1.8.x on PHP 5.4 / 5.5?

No. I'm using 5.4 on one of my forums and I haven't noticed any problem yet.

@.m. what kind of errors/warnings do you mean?
Reply
#9
Not Solved
^ eg. a bunch of errors showing at top of forum
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)